# Method: projects.locations.volumes.snapshots.list

- [HTTP request](https://docs.cloud.google.com/netapp/volumes/docs/reference/rest/v1/projects.locations.volumes.snapshots/list#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/netapp/volumes/docs/reference/rest/v1/projects.locations.volumes.snapshots/list#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/netapp/volumes/docs/reference/rest/v1/projects.locations.volumes.snapshots/list#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/netapp/volumes/docs/reference/rest/v1/projects.locations.volumes.snapshots/list#body.request_body)
- [Response body](https://docs.cloud.google.com/netapp/volumes/docs/reference/rest/v1/projects.locations.volumes.snapshots/list#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/netapp/volumes/docs/reference/rest/v1/projects.locations.volumes.snapshots/list#body.ListSnapshotsResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/netapp/volumes/docs/reference/rest/v1/projects.locations.volumes.snapshots/list#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/netapp/volumes/docs/reference/rest/v1/projects.locations.volumes.snapshots/list#body.aspect_1)
- [Try it!](https://docs.cloud.google.com/netapp/volumes/docs/reference/rest/v1/projects.locations.volumes.snapshots/list#try-it)

Returns descriptions of all snapshots for a volume.

### HTTP request

`GET https://netapp.googleapis.com/v1/{parent=projects/*/locations/*/volumes/*}/snapshots`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The volume for which to retrieve snapshot information, in the format `projects/{projectId}/locations/{location}/volumes/{volumeId}`. |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` The maximum number of items to return. |
| `pageToken` | `string` The nextPageToken value to use if there are additional results to retrieve for this list request. |
| `orderBy` | `string` Sort results. Supported values are "name", "name desc" or "" (unsorted). |
| `filter` | `string` List filter. |

### Request body

The request body must be empty.

### Response body

ListSnapshotsResponse is the result of ListSnapshotsRequest.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "snapshots": [ { object (`https://docs.cloud.google.com/netapp/volumes/docs/reference/rest/v1/projects.locations.volumes.snapshots#Snapshot`) } ], "nextPageToken": string, "unreachable": [ string ] } ``` |

| Fields ||
|---|---|
| `snapshots[]` | ``object (`https://docs.cloud.google.com/netapp/volumes/docs/reference/rest/v1/projects.locations.volumes.snapshots#Snapshot`)`` A list of snapshots in the project for the specified volume. |
| `nextPageToken` | `string` The token you can use to retrieve the next page of results. Not returned if there are no more results in the list. |
| `unreachable[]` | `string` Locations that could not be reached. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `parent` resource:

- `netapp.snapshots.list`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).